Bug 847408 - Group already exists error dialog when adding existing user to existing group as a secondary member when using Uer Manager GUI
Group already exists error dialog when adding existing user to existing group...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 18:27 EDT by Lynn Dixon
Modified: 2013-08-01 01:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:48:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen grab of the error dialog (53.26 KB, image/png)
2012-08-10 18:27 EDT, Lynn Dixon
no flags Details

  None (edit)
Description Lynn Dixon 2012-08-10 18:27:22 EDT
Created attachment 603641 [details]
screen grab of the error dialog

Description of problem:
I attempted to add my current user to the newly created vboxusers group.  I was using the GUI (system-config-users).  


Version-Release number of selected component (if applicable):


How reproducible:
Steps to Reproduce:
1. launch the GUI from either the menus, or from CLI: sudo system-config-users
2. Select the group I want to add my user to from the "groups" tab. Double-click to open the dialog to select the user
3. Select my username from the checkbox list, and then hit "OK"
4. Immediately presented with the dialog box that the group already exists
  
Actual results:
Unable to add any existing users to any existing groups in Fedora 17

Expected results:
Add my current user dixonly to the existing group vboxuers as a secondary member 

Additional info:
See attachment for screenshots of the error.  I am marking this as a medium severity as most GUI users will naturally use the gui to modify users.  I was able to add my user to the group from the command line with no problems using the command: sudo usermod -aG vboxusers dixonly  so it appears the problem lies with how the GUI is doing this.
Comment 1 monobello 2013-01-10 13:26:03 EST
This problem also exists on Fedora 16.
Comment 2 Fedora End Of Life 2013-07-03 21:25:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 01:48:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.